apiVersion: v1
kind: Pod
metadata:
  creationTimestamp: null
  labels:
    run: node-dev-slim
    app: node-dev-slim
  name: node-dev-slim
spec:
  containers:  
  - image: localhost:32000/customerlogin
    imagePullPolicy: IfNotPresent
    name: node-dev
    resources: {}
    ports:
      - containerPort: 3000
    env:
    - name: OFL_MED_CONTEXT_ROOT
      value: "/cust-login"    
    - name: OFL_MED_NODE_ENV
      value: "debug"
  #  volumeMounts:
  #    - name: mynode-app
  #      mountPath: /mynodeapp
  #volumes:
  #- name: mynode-app
  #  hostPath:
  #    path: /home/baqai/source/openfintechlab.com/service-boilerplate-api/      
  #    type: Directory
  dnsPolicy: ClusterFirst
  restartPolicy: Always
status: {}

---
apiVersion: v1
kind: Service
metadata:
  creationTimestamp: null
  labels:
    app: node-dev-slim
  name: node-dev-slim
spec:
  ports:
  - name: 32001-3000
    port: 3000
    protocol: TCP
    targetPort: 3000
    nodePort: 32001
  selector:
    app: node-dev-slim
  type: NodePort
status:
  loadBalancer: {}